%define upstream_name    MooseX-InsideOut
%define upstream_version 0.106

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Inside-out objects with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(namespace::clean)
BuildArch: noarch

%{?perl_default_filter}

%description
MooseX::InsideOut provides metaroles for inside-out objects. That is, it
sets up attribute slot storage somewhere other than inside '$self'. This
means that you can extend non-Moose classes, whose internals you either
don't want to care about or aren't hash-based.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.106.0-11.mga10
+ Revision: 2199918
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.106.0-10.mga9
+ Revision: 1804677
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.106.0-9.mga8
+ Revision: 1495660
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.106.0-8.mga7
+ Revision: 1269601
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.106.0-7.mga6
+ Revision: 1030400
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.106.0-6.mga6
+ Revision: 945366
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.106.0-5.mga5
+ Revision: 743033
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.106.0-4.mga5
+ Revision: 735796
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.106.0-3.mga5
+ Revision: 685539
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.106.0-2.mga4
+ Revision: 522003
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 jquelin <jquelin> 0.106.0-1.mga3
+ Revision: 394514
- imported package perl-MooseX-InsideOut


* Mon Feb 04 2013 cpan2dist 0.106-1mga
- initial mageia release, generated with cpan2dist
